Subject: Re: bug#15221: reiterating the request

From: David Pirotte <[email-masked]>
Date: Sat, 8 Sep 2018 00:35:29 -0300

Hello Tom,
Mark,

> You can enable it by adding the following two lines to your ~/.guile:
> 
>   (use-modules (ice-9 readline))
>   (activate-readline)
> 
> See <https://www.gnu.org/software/guile/manual/html_node/Readline.html>.

> I'm sympathetic to the desire to enable it by default ...

We have to be careful here, because it changes the repl reader, and I think
it breaks geiser, at least it did last time I tried, admittedly a (very) long time
ago. 

If we change the default, assuming there would be no (more?) license problem, we
need to make sure it does not beak geiser, or provide a deactivate-readline procedure
(I don't think there is one): currently, and afaict, there is no way to reverse
'things' as there were, once readline has been activated.

Cheers,
David